# Retrieve multi currency account for a profile

Returns the multi-currency account details for the specified profile. If the user does not yet have a multi-currency account, a `404 Not Found` will be returned.

Endpoint: GET /profiles/{profileId}/multi-currency-account
Security: UserToken

## Security:

  - `UserToken` (unknown)
    http bearer JWT

## Path parameters:

  - `profileId` (integer, required)
    Profile ID.

## Header parameters:

  - `X-External-Correlation-Id` (string)
    Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. [Learn more](/guides/developer/headers/correlation-id).

## Response 200:

  - `200` (unknown)
    Multi currency account object.

## Response 200 fields (application/json):

  - `id` (integer)
    Multi currency account ID.
    Example: 1

  - `profileId` (integer)
    Profile ID the multi currency account is attributed to.
    Example: 33333333

  - `recipientId` (integer)
    Recipient ID of the multi currency account, to be used for transfer recipient.
    Example: 12345678

  - `creationTime` (string)
    Datetime when multi currency account was created.
    Example: 2020-05-20T14:43:16.658Z

  - `modificationTime` (string)
    Datetime when multi currency account was last modified.
    Example: 2020-05-20T14:43:16.658Z

  - `active` (boolean)
    Whether multi currency account is active or not.
    Example: true

  - `eligible` (boolean)
    Whether multi currency account is eligible or not.
    Example: true

## Response 200 headers (application/json):

  - `X-External-Correlation-Id` (string)
    Echoed back when `X-External-Correlation-Id` was included in the request. [Learn more](/guides/developer/headers/correlation-id).
    Example: f47ac10b-58cc-4372-a567-0e02b2c3d479

  - `x-trace-id` (string)
    Unique trace identifier assigned by Wise. Useful when contacting support about a specific request.
    Example: fba501b6d453b96789f52338f019341f

## Response 429:

  - `429` (unknown)
    Rate limit exceeded. Retry after the number of seconds specified in the `Retry-After` header.

## Response 429 headers (application/json):

  - `Retry-After` (integer)
    Number of seconds to wait before retrying the request.
    Example: 5

  - `X-Rate-Limited-By` (string)
    Identifies the rate limiter that triggered the 429 response.
    Example: wise-public-api

  - `X-External-Correlation-Id` (string)
    Echoed back when `X-External-Correlation-Id` was included in the request. [Learn more](/guides/developer/headers/correlation-id).
    Example: f47ac10b-58cc-4372-a567-0e02b2c3d479

  - `x-trace-id` (string)
    Unique trace identifier assigned by Wise. Useful when contacting support about a specific request.
    Example: fba501b6d453b96789f52338f019341f

